フォルダーIDでフォルダープロパティーを更新
curl --request PATCH \
--url https://api.hubapi.com/files/v3/folders/{folderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentFolderId": 123
}
'import requests
url = "https://api.hubapi.com/files/v3/folders/{folderId}"
payload = {
"name": "<string>",
"parentFolderId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', parentFolderId: 123})
};
fetch('https://api.hubapi.com/files/v3/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}フォルダー
Update folder properties by folder ID
フォルダーIDで特定したフォルダーのプロパティーを更新します。
PATCH
/
files
/
v3
/
folders
/
{folderId}
フォルダーIDでフォルダープロパティーを更新
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
更新するフォルダーのID
Pattern:
\d+ボディ
application/json
レスポンス
successful operation
最終更新日 2026年4月10日
⌘I